Name:           dnstop
Version:        20121017
Release:        1%{?dist}
Summary:        Displays information about DNS traffic on your network
Group:          Applications/System
License:        BSD
URL:            http://dns.measurement-factory.com/tools/dnstop/
Source0:        http://dns.measurement-factory.com/tools/dnstop/src/dnstop-%{version}.tar.gz

# At one point int[] arrays are passed to a uint* function; since all
# callers are signed, changed function to take signed ints.
# Also, check read(2) for entropy data and abort on short reads.
Patch0:         dnstop-20121017-fix-warnings.diff

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libpcap-devel
BuildRequires:  ncurses-devel


%description
dnstop is a libpcap application (ala tcpdump) that displays various
tables of DNS traffic on your network.

dnstop supports both IPv4 and IPv6 addresses.

To help find especially undesirable DNS queries, dnstop provides a
number of filters.

dnstop can either read packets from the live capture device, or from a
tcpdump savefile.


%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8

make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE CHANGES
%{_bindir}/dnstop
%{_mandir}/man8/dnstop.8*


%changelog
* Sun Feb 17 2013 Conrad Meyer <cemeyer@uw.edu> - 20121017-1
- Bump to latest upstream version
- Fix build (latest dnstop correctly prefixes mandir, bindir with DESTDIR)
- Fix warnings (pointer target signedness, unchecked read(2))

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20110502-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20110502-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20110502-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Jul 16 2011 Conrad Meyer <konrad@tylerc.org> - 20110502-1
- Bump to latest upstream version.

* Fri Mar 25 2011 Niels de Vos <devos@fedoraproject.org> - 20090128-3
- Fiy Failed To Build From Source (#660807)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090128-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 24 2009 Conrad Meyer <konrad@tylerc.org> - 20090128-1
- Initial package.
